#!/bin/bash

ldifff=$1
ldapuser=openldap

# get serial from eth0 interface
serial=`cat /sys/class/net/eth0/address | tr -d ":"`
# check if serial scrip already exists
if [ -x "/usr/sbin/serial" ]; then
    serial=`/usr/sbin/serial`
fi
# if still no serial make it as random
if [ -z "$serial" ]; then
    serial=`date +%s | md5sum | cut -c 1-12`
fi

sed -i "s/{SERIAL}/$serial/g" $ldifff
/etc/init.d/slapd stop
rm -f /rw2/var/lib/ldap/*
/usr/sbin/slapadd -l $ldifff
chown $ldapuser:$ldapuser -R /rw2/var/lib/ldap
sudo -u $ldapuser /usr/sbin/slapindex -F /etc/ldap/slapd.d/
